## org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.providers
Class SQLModelContentActionProvider

    java.lang.Object
      CommonActionProvider
          org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.providers.SQLModelContentActionProvider

public class SQLModelContentActionProvider
extends CommonActionProvider

See Also:
  Serialized Form

Constructor Summary
`SQLModelContentActionProvider()`

Method Summary
`void` `dispose()`
`void` `fillActionBars(IActionBars theActionBars)`
`void` `fillContextMenu(IMenuManager aMenu)`
`void` `init(ICommonActionExtensionSite aConfig)`
`void` `init(java.lang.String anExtensionId, IViewPart aViewPart, INavigatorContentService aContentService, StructuredViewer aStructuredViewer)`
`void` `restoreState(IMemento aMemento)`
`void` `saveState(IMemento aMemento)`
`void` `setActionContext(ActionContext aContext)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLModelContentActionProvider

    public SQLModelContentActionProvider()

Method Detail

### init

    public void init(java.lang.String anExtensionId,
                     IViewPart aViewPart,
                     INavigatorContentService aContentService,
                     StructuredViewer aStructuredViewer)

### dispose

    public void dispose()

### setActionContext

    public void setActionContext(ActionContext aContext)

### fillContextMenu

    public void fillContextMenu(IMenuManager aMenu)

### fillActionBars

    public void fillActionBars(IActionBars theActionBars)

### restoreState

    public void restoreState(IMemento aMemento)

### saveState

    public void saveState(IMemento aMemento)

### init

    public void init(ICommonActionExtensionSite aConfig)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.